#! /bin/sh
#===================================================================
#program to generate a set of vzserver according different kind 
#of architecture
APP=gendistvz.sh
#===================================================================
#lock procedure
lockproc()

{
LOCKFILE=/var/lock/`basename $0`.$1.lck

trap "rm -f $LOCKFILE ; exit 1" 1 2 3 15
if (set -C; : > $LOCKFILE) 2> /dev/null ; then
    echo $$ >> $LOCKFILE
  else
    echo "Another '`basename $0` $1' is running, existing at once!"
    echo "remove $LOCKFILE, if it is not the case"
    exit 0;
  fi
}
#=================================================================
stop_destroy()

{
NAMVSR=`echo $1 | tr  '.' '_'`

echo "Removing VZ server: "$SYSNAME
echo "vzctl stop $NAMVSR; vzctl destroy $NAMVSR"
/usr/sbin/vzctl stop $NAMVSR; /usr/sbin/vzctl destroy $NAMVSR
}
#=================================================================
sortie()

{
rm -f $LOCKFILE
}
#=================================================================
#set the lock access
lockproc all
COMP=compilers
rm -fr /tmp/`basename $0`.out
LINUX=`repovar.sh`
for l in $LINUX
  do
  VNUM=`repovar.sh $l VNUM`
  DIST=`repovar.sh $l DIST`
  ARCH=`repovar.sh $l ARCH`
  for arch in $ARCH
    do
    SYSNAME=`repovar.sh $l SYS-$arch`
    stop_destroy $SYSNAME
    echo "Doing now: VZ server "$SYSNAME
    /usr/sbin/mksrvz.sh $SYSNAME $DIST $arch $COMP > /vz/tmp/$SYSNAME.vz 2>&1
    done
  done
sortie
